﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 2680A-PAI/FAI (1 yr) Freq VER RS-232 /5520
INSTRUMENT:            Sub Fluke 2680A-PAI/FAI (1 yr) TC Resp VER RS-232 /5520
DATE:                  2011-04-21 19:32:06
AUTHOR:                Fluke
REVISION:              $Revision: 8204 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       117
CONFIGURATION:         Fluke 5520A
=============================================================================
#
#  Procedure Author:
#        GMO, DFM, VY, DAC, ZY
#
#  Model(s) Covered:
#        2680A, 2686A
#
#  Source:
#        268XA Data Acquisition System/Data Logging System Service Manual
#        Document Number: PN 1883791, November 2002
#
#  Compatibility:
#        MET/CAL or 5500/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Fluke 268xA Send Command RS-232
#        Sub Fluke 268xA Query Measurement RS-232
#
#  Required Files:
#        None
#
# Additional Equipment Required:
#        Specially configured Universal Input Module
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         The UUT is initializing, wait...
# Reset the UUT.
  1.002  MATH         @UUTCommand = "*RST"
  1.003  CALL         Sub Fluke 268xA Send Command RS-232
  1.004  JMPL         END                          @Abort
# Set sample rate for UUT.
  1.005  MATH         @UUTCommand = "RATE " & @SlotTested & ",SLOW"
  1.006  CALL         Sub Fluke 268xA Send Command RS-232
  1.007  JMPL         END                          @Abort
# Set the sub procedure jump destination.
  1.008  JMPL         FREQUENCY                    PSUBI("Fre")
  1.009  JMPL         TC_RESPONSE                  PSUBI("TC Resp")
  1.010  DISP         {Undefined subprocedure!}
  1.011  END

  1.012  EVAL   Increment step number

# =========== Sub Fluke 2680A-PAI/FAI (1 yr) Freq VER RS-232 /5520 =========

  2.001  LABEL        FREQUENCY

  2.002  RSLT         =
  2.003  HEAD         {FREQUENCY ACCURACY TEST}
  2.004  TARGET       -p
  2.005  MATH         @UUTCommand = "FUNC " & @SlotTested & "01,FREQ,3"
  2.006  CALL         Sub Fluke 268xA Send Command RS-232
  2.007  JMPL         END                          @Abort

  2.008  5520         10.000kH                     1.0V           SI    S  2W
  2.009  TARGET       -m
  2.010  CALL         Sub Fluke 268xA Query Measurement RS-232
  2.011  JMPL         END                          @Abort
  2.012  MATH         MEM = MEM / 1E+3
  2.013  MEMCX  90    10.000kH       0.05% 0.001U

  3.001  JMPL         END

  3.002  EVAL   Increment step number

# =========== Sub Fluke 2680A-PAI/FAI (1 yr) TC Resp VER RS-232 /5520 =======

  4.001  LABEL        TC_RESPONSE

  4.002  RSLT         =
  4.003  HEAD         {OPEN THERMOCOUPLE RESPONSE TEST}
  4.004  TARGET
  4.005  MATH         @UUTCommand = "FUNC " & @SlotTested & "01,TC,K,1"
  4.006  CALL         Sub Fluke 268xA Send Command RS-232
  4.007  JMPL         END                          @Abort
  4.008  5520         820.0Z                                            S  2W
  4.009  MATH         @QueryCommand = "MEAS? " & @SlotTested & "01"
  4.010  CALL         Sub Fluke 268xA Query Measurement RS-232
  4.011  JMPL         END                          @Abort
  4.012  EVAL   -e MEM > 18 && MEM < 35 : Simulated TC Detected

  5.001  5520         10.0kZ                                            S  2W
  5.002  CALL         Sub Fluke 268xA Query Measurement RS-232
  5.003  JMPL         END                          @Abort
  5.004  EVAL   -e MEM == 9E+9 : Open TC Detected

  6.001  LABEL        END
  6.002  HEAD
  6.003  5520         *                                                 S
  6.004  END
